---
schema_version: "1"
id: e048b399b883225ee3ac7b8f5a0fe00240eabea78a9e9747bade48dd66d6649c
title: Get a Batch of List View Metadata
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_views_md_batch.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_views_md_batch.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: fb754c89533ac3a7218bb0359e2a8ffbfaf84b6eb0efb68460beb810dbb4106d
description: Get metadata for a batch of list views.
---
# Get a Batch of List View Metadata

Get metadata for a batch of list views.

Resource

/ui-api/list-info/batch?ids=<id>

Available Version

55.0

HTTP Methods

GET

Example

This example gets metadata for a batch of list views by ID:

GET /services/data/v68.0/ui-api/list-info/batch?ids=00Bxx0000029Y0OEAU,00Bxx0000029Y0NEAU

This example gets metadata for a batch of list views by name:

GET /services/data/v68.0/ui-api/list-info/batch?names=Account.AllAccounts,Accounts,Account.NewLastWeek

Request Parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| ids | ID | A comma-delimited list of list view IDs. A list view ID starts with 00B, like 00Bxx0000029Y0NEAU | Either ids or names is required. | 55.0 |
| names | String | A comma-delimited list of list view names. A list view name starts with an entity name, a dot, and then the name of the list view, like Account.AllAccounts. | Either ids or names is required. | 55.0 |

Response Body

[Simplified Batch Results](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_batch_results_simplified.htm "The simplified results from a request to a batch resource. Results include information for each subrequest in the batch.")